'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _graphql = require('graphql');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var queryFields = {};

_fs2['default'].readdirSync(__dirname).filter(function (filename) {
  return filename.substr(-3) === '.js' && filename !== 'index.js';
}).forEach(function (filename) {
  var tmpFields = require('./' + filename); // eslint-disable-line global-require, import/no-dynamic-require

  Object.assign(queryFields, tmpFields['default']);
});

var Query = new _graphql.GraphQLObjectType({
  name: 'MtgOmegaSchema',
  description: 'The root of the Mtg Omega schema',
  fields: queryFields
});

var Schema = new _graphql.GraphQLSchema({
  query: Query
});

exports['default'] = Schema;