'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Single = undefined;

var _graphql = require('graphql');

var _graphqlCustomTypes = require('graphql-custom-types');

var Single = exports.Single = new _graphql.GraphQLObjectType({
  name: 'single',
  description: 'A single of an edition',
  fields: function () {
    function fields() {
      return {
        id: { type: _graphqlCustomTypes.GraphQLUUID },
        name: {
          type: _graphql.GraphQLString,
          resolve: function () {
            function resolve(single) {
              if (single.i18n) {
                return single.i18n[0].name;
              }

              return null;
            }

            return resolve;
          }()
        }
      };
    }

    return fields;
  }()
});

exports['default'] = {
  cards: {
    type: new _graphql.GraphQLList(Single)
  },

  card: {
    type: Single
  }
};